Bug 195763 - update-gtk-immodules failure in post (scim-libs)
update-gtk-immodules failure in post (scim-libs)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: EasyFix, i18n
: 196001 201127 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 09:59 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4.4-9.7.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 23:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-06-17 09:59:31 EDT
Description of problem:

  Installing: scim-libs                    ######################### [1/3]
/usr/bin/update-gtk-immodules: line 27:
/etc/gtk-2.0/i386-redhat-linux-gnu/gtk.immodules: No such file or directory
error: %post(scim-libs-1.4.4-9.4.fc5.i386) scriptlet failed, exit status 1

This fails because the directory is i686, not i386:

icon@protee:[~]$ ls /etc/gtk-2.0/
gtkrc  i686-redhat-linux-gnu/


Version-Release number of selected component (if applicable):
scim-libs-1.4.4-9.4.fc5
Comment 1 Jens Petersen 2006-06-19 22:05:56 EDT
Which gtk2 package do you have?
Comment 2 Jens Petersen 2006-06-19 22:45:24 EDT
Nevermind I see gtk2-2.8.19-* has /etc/gtk-2.0/i686-redhat-linux-gnu... sigh
Comment 3 Jens Petersen 2006-06-20 07:29:13 EDT
*** Bug 196001 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2006-06-21 14:02:02 EDT
scim-1.4.4-9.7.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 Stephen John Smoogen 2006-06-21 21:54:41 EDT
I had to fix the problem with multiple versions of scim-libs installed with a
'rpm -e --allmatches scim-libs' then installing the correct version.
Comment 6 Fedora Update System 2006-06-22 15:29:31 EDT
scim-1.4.4-9.7.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Jens Petersen 2006-08-02 20:41:33 EDT
*** Bug 201127 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.